<!DOCTYPE HTML>
<!--
	Helios by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Portfolios of Hoang Nguyen</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="assets/css/main.css" />
		<noscript><link rel="stylesheet" href="assets/css/noscript.css" /></noscript>
	</head>
	<body class="homepage is-preload">
		<div id="page-wrapper">

			<!-- Header -->
			<div id="header">

				<!-- Inner -->
					<div class="inner">
						<header>
							<h1><a href="index.html" id="logo" style="color: black;">Hoang (Harry) Nguyen</a></h1>
							<br>
							<h3 style="color: black; font-weight: bold;">AWS Certified Solution Architect</h3>
							<hr />
							<h3 style="color: black; font-weight: bold;" class="typing-effect">Cloud - DevsOps - SRE</h3>
							<div class="counter-number typing-effect">Could not read views </div>
						</header>
						<footer>
							<a href="#banner" class="button circled scrolly">Start</a>
						</footer>
					</div>

				<!-- Nav -->
				<nav id="nav">
					<ul style="color: black; font-weight: bold;">
						<li><a href="index.html">Home</a></li>
						<li><a href="#my-projects">My Projects</a></li>
						<li><a href="#skills-and-abilities">Skills and Abilities</a></li>
						<li><a href="#work-experience">Work Experience</a></li>
						<li><a href="#footer">Contact Me</a></li>
					</ul>
				</nav>

			</div>
			<!-- Banner -->
			<section id="banner">
				<header>
					<h2>Hi. You're looking at <strong><a href="https://gitlab.com/hnguyen18.8.98">My Portfolios</a></strong>.</h2>
					<p>
						As a <strong>Cloud and DevOps Engineer</strong> and <strong>AWS Certified Solutions Architect</strong>, I specialize in creating and managing scalable cloud solutions. My expertise lies in AWS, Azure, and containerization technologies like Kubernetes and Docker. I excel in implementing CI/CD pipelines and automating network processes, optimizing performance, and enhancing security.
					</p>
					<p>
						My journey in tech is marked by a passion for learning and adapting to new challenges. Skilled in Python, PowerShell, and NodeJS, I bring a versatile skill set to every project. My approach combines innovation, strategic thinking, and a commitment to continuous improvement, especially in areas like Windows OS management, O365, Active Directory, and SCCM. Discover how I can contribute to your next cloud project or DevOps initiative.
					</p>
				</header>
			</section>
			

			<!-- My Projects & Carousel -->
			<section id="my-projects" class="carousel">
				<div>
					<h2 style="text-align: center;">My Projects</h2>
				</div>
				<br>
				<div class="reel">
					<!-- Azure Cloud Computing and VPN Integration -->
					<article>
						<a href="#" class="image featured"><img src="images/azure.png" alt="" /></a>
						<header>
							<h3><a href="#">Azure Cloud Computing and VPN Integration</a></h3>
						</header>
						<p>Configured a Site-to-Site VPN for robust connectivity between on-premises and Azure cloud infrastructures. Led the design and implementation of Azure-based cloud solutions, enhancing system integration and efficiency.</p>
					</article>
			
					<!-- File Server Cloud Migration -->
					<article>
						<a href="#" class="image featured"><img src="images/aws.jfif" alt="" /></a>
						<header>
							<h3><a href="#">File Server Cloud Migration to AWS</a></h3>
						</header>
						<p>Directed the migration of file servers to AWS, utilizing AWS Storage Gateway and Amazon FSx, integrating with local Active Directory for seamless operation.</p>
					</article>
			
					<!-- AWS Backup Solution Implementation -->
					<article>
						<a href="#" class="image featured"><img src="images/AWS-Backup.png" alt="" style="width: 250px;"/></a>
						<header>
							<h3><a href="#">AWS Backup Solution Implementation</a></h3>
						</header>
						<p>Developed a scalable cloud-based backup system using AWS FSx, enhancing data reliability and introducing high-availability features for cloud and on-premise environments.</p>
					</article>
			
					<!-- Cloud Resume Challenge -->
					<article>
						<a href="https://resume.hnguyen-cloud.com/" class="image featured"><img src="images/resume.png" alt="Cloud Resume Challenge" /></a>
						<header>
							<h3><a href="https://resume.hnguyen-cloud.com/">Cloud Resume Challenge</a></h3>
						</header>
						<p>Completed a comprehensive project utilizing GitLab CI/CD, Terraform, and AWS services, demonstrating multi-technology proficiency and agile methodology application.</p>
					</article>
			
					<!-- Deployment of Test Server Using Jenkins, Docker, and Linux -->
					<article>
						<a href="#" class="image featured"><img src="images/docker.jpg" alt="" style="width: 250px;"/></a>
						<header>
							<h3><a href="#">Deployment of Test Server Using Jenkins, Docker, and Linux</a></h3>
						</header>
						<p>Established a Continuous Integration environment integrating Jenkins with Docker on Linux, simulating advanced software development workflows.</p>
					</article>
			
					<!-- Enhanced Network Security through Subnet Segmentation -->
					<article>
						<a href="#" class="image featured"><img src="images/network.jfif" alt="" /></a>
						<header>
							<h3><a href="#">Enhanced Network Security through Subnet Segmentation</a></h3>
						</header>
						<p>Improved security in Windows and cloud environments by strategically segmenting the network into VLANs and applying ACLs.</p>
					</article>
			
					<!-- Centralized BYOD Program Management -->
					<article>
						<a href="#" class="image featured"><img src="images/MDM.jfif" alt="" /></a>
						<header>
							<h3><a href="#">Centralized BYOD Program Management</a></h3>
						</header>
						<p>Transitioned a BYOD program to a centrally managed system using cloud tools such as Intune and Jamf, enhancing control and security.</p>
					</article>
			
					<!-- Network Hardware Upgrade -->
					<article>
						<a href="#" class="image featured"><img src="images/switch.jfif" alt="" /></a>
						<header>
							<h3><a href="#">Network Hardware Upgrade</a></h3>
						</header>
						<p>Replaced and configured network infrastructure, upgrading from 1Gbps to 10Gbps to improve network performance.</p>
					</article>
			
					<!-- Automated Network Management via Scripting -->
					<article>
						<a href="#" class="image featured"><img src="images/automate.jfif" alt="" /></a>
						<header>
							<h3><a href="#">Automated Network Management via Scripting</a></h3>
						</header>
						<p>Developed and implemented batch and PowerShell scripts to automate various network tasks.</p>
					</article>
			
					<!-- Network Infrastructure Enhancement with Google Cloud Directory Sync -->
					<article>
						<a href="#" class="image featured"><img src="images/google.png" alt="" /></a>
						<header>
							<h3><a href="#">Network Infrastructure Enhancement with Google Cloud Directory Sync</a></h3>
						</header>
						<p>Implemented Google Cloud Directory Sync, integrating it with Task Scheduler & PowerShell to automate daily user management.</p>
					</article>
					<article>
						<a href="https://gitlab.com/hnguyen18.8.98/robot-challenge" class="image featured"><img src="images/robot.png" alt="Robot Challenge Game" /></a>
						<header>
							<h3><a href="https://gitlab.com/hnguyen18.8.98/robot-challenge">Robot Challenge Game</a></h3>
						</header>
						<p>Had a chance to refresh my programming knowledge through this fun project using PowerShell. Navigate a toy robot across a 5x5 grid table. You can download the game from<strong><a href="https://resume.hnguyen-cloud.com/assets/Downloads/Robot-challenge/robot.exe"> here</a></strong>.</p>
					</article>
					
				</div>
			</section>
			
				
			<!-- Skills and Abilities -->
			<div id="skills-and-abilities" class="wrapper style1">
				<section id="features" class="container special">
					<header>
						<h2>Skills and Abilities</h2>
						<p>Bringing a comprehensive range of skills in Cloud Computing, DevOps, Automation, and more, with a demonstrated ability to adapt to emerging technologies and optimize network and system operations.</p>
					</header>
					<div class="row">
						<!-- First Column -->
						<div class="col-6 col-12-mobile special">
							<article>
								<h3>Cloud Computing & DevOps</h3>
								<p>Certified in AWS Solutions Architect – Associate; proficient in Azure, Kubernetes, and Docker. Skilled in implementing, managing, and optimizing cloud-based solutions and containerized applications.</p>
							</article>
							<article>
								<h3>Automation, Scripting & CI/CD</h3>
								<p>Expert in Python, PowerShell, and Bash scripting. Experienced in designing and managing CI/CD pipelines, enhancing system functionalities, deployment speeds, and operational reliability.</p>
							</article>
							<article>
								<h3>Infrastructure as Code & Site Reliability</h3>
								<p>Proficient in Terraform and Ansible for efficient provisioning. Ensures site reliability, including UPS systems and remote control infrastructure management.</p>
							</article>
							<article>
								<h3>Network Architecture & System Analysis</h3>
								<p>Expert in complex system design, development, and backup solutions. Advanced skills in interpreting architecture specifications to safeguard data integrity and minimize downtime.</p>
							</article>
							<article>
								<h3>Programming & Multi-Platform Operations</h3>
								<p>Advanced in Python, basic in NodeJS, and proficient in Microsoft technologies. Adaptable to multi-vendor network operations and hardware management.</p>
							</article>
						</div>
						
						<!-- Second Column -->
						<div class="col-6 col-12-mobile special">
							<article>
								<h3>Monitoring & Incident Management</h3>
								<p>Implementing monitoring tools like Prometheus and Grafana for real-time operational visibility. Skilled in incident response and root cause analysis.</p>
							</article>
							<article>
								<h3>Containerization & Orchestration</h3>
								<p>Deploys and manages applications using Docker and Kubernetes, optimizing for high availability and resource efficiency.</p>
							</article>
							<article>
								<h3>Comprehensive Troubleshooting</h3>
								<p>Expertise in diagnosing and resolving diverse network issues across platforms, OS, and cloud environments.</p>
							</article>
							<article>
								<h3>Effective Communication & Leadership</h3>
								<p>Strong communicator with proven project management skills. Adept in agile and dynamic project environments, ensuring effective collaboration and stakeholder engagement.</p>
							</article>
							<article>
								<h3>Adaptive Learning in Emerging Tech</h3>
								<p>Self-taught in emerging technologies, demonstrating adaptability and eagerness to embrace new tech challenges.</p>
							</article>
						</div>
					</div>
				</section>
			</div>
			
			
			<!-- Work Experience -->
			<div id="work-experience" class="wrapper">
				<section class="container special">
					<header>
						<h2>Work Experience</h2>
					</header>
					<div class="experience-item">
						<div class="experience-meta">
							<span class="date">2021 – Current</span>
							<h3 class="title">Computer Network and System Engineer</h3>
							<h4 class="company">Practical IT Solution Pty Ltd</h4>
						</div>
						<div class="experience-description">
							<p><strong>Cloud Computing & Multi-Platform Integration:</strong> Spearheaded the integration and optimization of AWS, Azure, and Google Cloud services into existing infrastructure, achieving a 20% increase in system efficiency. Demonstrated expertise in Microsoft technologies, ensuring seamless multi-platform operations and cloud integration.</p>
							<p><strong>Advanced Network Architecture & Management:</strong> Played a key role in the development and management of network architecture, leveraging skills in Cisco hardware and multi-OS systems. Contributed to a robust backup solution strategy, achieving a 99.9% network uptime record. Administered and configured Cisco switches and routers to extend and secure the network.</p>
							<p><strong>Performance Analysis & Incident Response:</strong> Led a team in deploying comprehensive monitoring solutions across the network infrastructure, including File Servers, Print services, Active Directory, and DNS. This initiative reduced incident response time by 40% and enhanced network security and performance.</p>
							<p><strong>System Engineering & Security:</strong> Orchestrated a network architecture redesign focusing on multi-platform integration and security, enhancing system resilience by 30%. Conducted research and analysis to monitor and optimize network performance, ensuring optimal security and functionality.</p>
							<p><strong>Data Center Infrastructure Management:</strong> Oversaw Data Center operations, including server and network device management, to maintain high availability and performance. Implemented effective backup and disaster recovery procedures to safeguard data integrity.</p>
							<p><strong>Documentation, Procedures & Compliance:</strong> Developed and maintained comprehensive documentation on network inventory, diagnosis, maintenance instructions, and compliance with industry standards. Focused on system architectures, configurations, and processes, ensuring high standards of documentation and operational procedures.</p>
						</div>
					</div>
					<!-- Repeat for other experiences -->
					
				</section>
			</div>

			<!-- Footer -->
<!-- Footer -->
			<div id="footer">
				<div class="container">
					<div class="row">
						<!-- Empty row for future content or spacing -->
					</div>

					<div class="row">
						<div class="col-12">

							<!-- Contact -->
							<section class="contact">
								<header>
									<h3>Connect With Me</h3>
								</header>
								<p>For collaboration or inquiries, feel free to get in touch.</p>
								<ul class="icons">
									<li><a href="https://www.linkedin.com/in/hoang-t-nguyen-a871541a4/" class="icon brands fa-linkedin-in"><span class="label">LinkedIn</span></a></li>
									<li><a href="https://github.com/harry-t-nguyen" class="icon brands fa-github"><span class="label">GitHub</span></a></li>
									<li><a href="https://gitlab.com/hnguyen18.8.98" class="icon brands fa-gitlab"><span class="label">GitLab</span></a></li>
								</ul>
								<p>Email: <a href="mailto:harrytnguyeen@gmail.com">harrytnguyeen@gmail.com</a></p>
							</section>

							<!-- Copyright -->
							<div class="copyright">
								<ul class="menu">
									<li>&copy; Untitled. All rights reserved.</li>
									<li>Design: <a href="http://html5up.net">HTML5 UP</a></li>
									<li>Built by: <a href="https://www.linkedin.com/in/hoang-t-nguyen-a871541a4/">Hoang Nguyen</a></li>
								</ul>
							</div>

						</div>
					</div>
				</div>
			</div>

</div>


		</div>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.dropotron.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/jquery.scrollex.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>
			<script src="assets/js/Effects.js"></script>
			<script src="index.js"></script>

	</body>
</html>